# Method: properties.createRollupProperty

- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/createRollupProperty#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/createRollupProperty#body.request_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/createRollupProperty#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/createRollupProperty#body.response_body)
  - [JSON representation](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/createRollupProperty#body.CreateRollupPropertyResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/createRollupProperty#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties/createRollupProperty#try-it)

Create a roll-up property and all roll-up property source links.

### HTTP request

`POST https://analyticsadmin.googleapis.com/v1alpha/properties:createRollupProperty`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rollupProperty": { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties#Property`) }, "sourceProperties": [ string ] } ``` |

| Fields ||
|---|---|
| `rollupProperty` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties#Property`)`` Required. The roll-up property to create. |
| `sourceProperties[]` | `string` Optional. The resource names of properties that will be sources to the created roll-up property. |

### Response body

Response message for properties.createRollupProperty RPC.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rollupProperty": { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties#Property`) }, "rollupPropertySourceLinks": [ { object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks#RollupPropertySourceLink`) } ] } ``` |

| Fields ||
|---|---|
| `rollupProperty` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties#Property`)`` The created roll-up property. |
| `rollupPropertySourceLinks[]` | ``object (`https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks#RollupPropertySourceLink`)`` The created roll-up property source links. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/analytics.edit`